/*******************************************************************************
*
* E M B E D D E D   W I Z A R D   P R O J E C T
*
*                                                Copyright (c) TARA Systems GmbH
*                                    written by Paul Banach and Manfred Schweyer
*
********************************************************************************
*
* This software is delivered "as is" and shows the usage of other software
* components. It is provided as an example software which is intended to be
* modified and extended according to particular requirements.
*
* TARA Systems hereby disclaims all warranties and conditions with regard to the
* software, including all implied warranties and conditions of merchantability
* and non-infringement of any third party IPR or other rights which may result
* from the use or the inability to use the software.
*
********************************************************************************
*
* DESCRIPTION:
*   This file is part of the interface (glue layer) between an Embedded Wizard
*   generated UI application and the board support package (BSP) of a dedicated
*   target. It is intended to be used as a template. Feel free to adapt this
*   implementation according your particular hardware.

*   This file maps the key codes provided by the Windows system to EW_BSP key
*   codes.
*
*******************************************************************************/

#ifndef EW_BSP_KEYBOARD_MAPPING_H
#define EW_BSP_KEYBOARD_MAPPING_H

#include <windows.h>

#define EW_BSP_KEY_CODE_BACK      VK_BACK
#define EW_BSP_KEY_CODE_DELETE    VK_DELETE
#define EW_BSP_KEY_CODE_DOWN      VK_DOWN
#define EW_BSP_KEY_CODE_END       VK_END
#define EW_BSP_KEY_CODE_ESCAPE    VK_ESCAPE
#define EW_BSP_KEY_CODE_F1        VK_F1
#define EW_BSP_KEY_CODE_F10       VK_F10
#define EW_BSP_KEY_CODE_F2        VK_F2
#define EW_BSP_KEY_CODE_F3        VK_F3
#define EW_BSP_KEY_CODE_F4        VK_F4
#define EW_BSP_KEY_CODE_F5        VK_F5
#define EW_BSP_KEY_CODE_F6        VK_F6
#define EW_BSP_KEY_CODE_F7        VK_F7
#define EW_BSP_KEY_CODE_F8        VK_F8
#define EW_BSP_KEY_CODE_F9        VK_F9
#define EW_BSP_KEY_CODE_HOME      VK_HOME
#define EW_BSP_KEY_CODE_INSERT    VK_INSERT
#define EW_BSP_KEY_CODE_LEFT      VK_LEFT
#define EW_BSP_KEY_CODE_NEXT      VK_NEXT
#define EW_BSP_KEY_CODE_NUMPAD0   VK_NUMPAD0
#define EW_BSP_KEY_CODE_NUMPAD1   VK_NUMPAD1
#define EW_BSP_KEY_CODE_NUMPAD2   VK_NUMPAD2
#define EW_BSP_KEY_CODE_NUMPAD3   VK_NUMPAD3
#define EW_BSP_KEY_CODE_NUMPAD4   VK_NUMPAD4
#define EW_BSP_KEY_CODE_NUMPAD5   VK_NUMPAD5
#define EW_BSP_KEY_CODE_NUMPAD6   VK_NUMPAD6
#define EW_BSP_KEY_CODE_NUMPAD7   VK_NUMPAD7
#define EW_BSP_KEY_CODE_NUMPAD8   VK_NUMPAD8
#define EW_BSP_KEY_CODE_NUMPAD9   VK_NUMPAD9
#define EW_BSP_KEY_CODE_PRIOR     VK_PRIOR
#define EW_BSP_KEY_CODE_RETURN    VK_RETURN
#define EW_BSP_KEY_CODE_RIGHT     VK_RIGHT
#define EW_BSP_KEY_CODE_TAB       VK_TAB
#define EW_BSP_KEY_CODE_UP        VK_UP

#endif /* EW_BSP_KEYBOARD_MAPPING_H */


/* msy */
